class Regulation
    private
    attr_reader :range
    public
    attr_reader :heating, :cooling, :current_temperature, :wanted_temperature 

    def initialize(wanted_temperature, range)
        @wanted_temperature = wanted_temperature
        @range = range
        @heating = false
        @cooling = false
       
    end

    def regulation(current_temperature)

        @cooling = false
        @heating = false
        if current_temperature < (wanted_temperature - @range)
            @heating = true
            
        elsif current_temperature > (wanted_temperature + @range)
            @cooling = true  
                           
        end

    end

end